Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZRSSImport Class Reference

Handles RSS Import in eZ Publish. More...

Inheritance diagram for eZRSSImport:

## Public Member Functions
| store ( $fieldFilters=null)
| objectOwner ()
| modifier ()
| classAttributes ()
| destinationPath ()
| setImportDescription ( $definition=array())
| importDescription ()
Public Member Functions inherited from eZPersistentObject
| __construct ( $row=null)
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)

## Static Public Member Functions
static | definition ()
static | create ( $userID=false)
static | fetch ( $id, $asObject=true, $status=eZRSSImport::STATUS_VALID)
static | fetchList ( $asObject=true, $status=eZRSSImport::STATUS_VALID)
static | fetchActiveList ( $asObject=true)
static | getRSSVersion ( $url)
static | objectAttributeList ()
static | rssFieldDefinition ( $version='2.0')
static | fieldMap ( $version='2.0')
static | recursiveFieldMap ( $definitionArray, $globalKey, $value, &$returnArray, $count)
static | arrayMergeRecursive ( $arr1, $arr2)
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Public Attributes
| $ObjectOwnerID
| $ModifierID
| $DestinationNodeID
const | STATUS_VALID = 1
const | STATUS_DRAFT = 0
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average

## Additional Inherited Members
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

Handles RSS Import in eZ Publish.

RSSImport is used to create RSS feeds from published content. See kernel/rss for more files.

Definition at line 18 of file ezrssimport.php.

## Member Function Documentation

## ◆ arrayMergeRecursive()

static eZRSSImport::arrayMergeRecursive | ( |  | $arr1,
|  |  | $arr2
| ) |  |
| static

Definition at line 468 of file ezrssimport.php.

Referenced by fieldMap().

## ◆ classAttributes()

eZRSSImport::classAttributes | ( |  | ) |

Definition at line 235 of file ezrssimport.php.

References eZContentClass\fetch().

## ◆ create()

static eZRSSImport::create | ( |  | $userID = `false` | ) |
| static

Creates a new RSS Import

Parameters

  User | ID

Returns
  the new RSS Import object

Definition at line 127 of file ezrssimport.php.

References eZUser\currentUser(), and ezpI18n\tr().

## ◆ definition()

static eZRSSImport::definition | ( |  | ) |
| static

Returns the definition for the object, the default implementation is to return an empty array. It's upto each inheriting class to return a proper definition array.

The definition array is an associative array consists of these keys:

- fields: an associative array of fields which defines which database field (the key) is to fetched and how they map to object member variables (the value).
- keys: an array of fields which is used for uniquely identifying the object in the table.
- function_attributes: an associative array of attributes which maps to member functions, used for fetching data with functions.
- set_functions: an associative array of attributes which maps to member functions, used for setting data with functions.
- increment_key: the field which is incremented on table inserts.
- class_name: the classname which is used for instantiating new objecs when fetching from the database.
- sort: an associative array which defines the default sorting of lists, the key is the table field while the value is the sorting method which is either 'asc' or 'desc'.
- name: the name of the database table

Example: `public static function definition() { return array( "fields" => array( "id" => "ID", "version" => "Version", "name" => "Name" ), "keys" => array( "id", "version" ), "function_attributes" => array( "current" => "currentVersion", "class_name" => "className" ), "increment_key" => "id", "class_name" => "eZContentClass", "sort" => array( "id" => "asc" ), "name" => "ezcontentclass" ); }`

Returns
  array

Reimplemented from eZPersistentObject.

Definition at line 26 of file ezrssimport.php.

Referenced by fetch(), fetchActiveList(), and fetchList().

## ◆ destinationPath()

eZRSSImport::destinationPath | ( |  | ) |

Definition at line 248 of file ezrssimport.php.

References eZPersistentObject\count(), and eZContentObjectTreeNode\fetch().

## ◆ fetch()

static eZRSSImport::fetch | ( |  | $id,
|  |  | $asObject = `true`,
|  |  | $status = `eZRSSImport::STATUS_VALID`
| ) |  |
| static

Fetches the RSS Import by ID.

Parameters

  RSS | Import ID

Definition at line 176 of file ezrssimport.php.

References definition(), and eZPersistentObject\fetchObject().

## ◆ fetchActiveList()

static eZRSSImport::fetchActiveList | ( |  | $asObject = `true` | ) |
| static

Fetches complete list of active RSS Imports.

Definition at line 205 of file ezrssimport.php.

References definition(), and eZPersistentObject\fetchObjectList().

## ◆ fetchList()

static eZRSSImport::fetchList | ( |  | $asObject = `true`,
|  |  | $status = `eZRSSImport::STATUS_VALID`
| ) |  |
| static

Fetches complete list of RSS Imports.

Definition at line 189 of file ezrssimport.php.

References definition(), and eZPersistentObject\fetchObjectList().

## ◆ fieldMap()

static eZRSSImport::fieldMap | ( |  | $version = `'2.0'` | ) |
| static

Parameters

  RSS | version

Returns
  Ordered array of field definitions

Definition at line 394 of file ezrssimport.php.

References arrayMergeRecursive(), eZExtension\baseDirectory(), recursiveFieldMap(), and rssFieldDefinition().

## ◆ getRSSVersion()

static eZRSSImport::getRSSVersion | ( |  | $url | ) |
| static

Analize RSS import, and get RSS version number

Parameters

  URL |

Returns
  RSS version number, false if invalid URL

Definition at line 286 of file ezrssimport.php.

References eZHTTPTool\getDataByURL().

## ◆ importDescription()

eZRSSImport::importDescription | ( |  | ) |

Get import description

Returns
  import description

Definition at line 458 of file ezrssimport.php.

References eZPersistentObject\attribute().

## ◆ modifier()

eZRSSImport::modifier | ( |  | ) |

Definition at line 226 of file ezrssimport.php.

References eZUser\fetch().

## ◆ objectAttributeList()

static eZRSSImport::objectAttributeList | ( |  | ) |
| static

Object attribute list

Definition at line 326 of file ezrssimport.php.

## ◆ objectOwner()

eZRSSImport::objectOwner | ( |  | ) |

Definition at line 217 of file ezrssimport.php.

References eZUser\fetch().

## ◆ recursiveFieldMap()

static eZRSSImport::recursiveFieldMap | ( |  | $definitionArray,
|  |  | $globalKey,
|  |  | $value,
|  | & | $returnArray,
|  |  | $count
| ) |  |
| static

Recursivly build field map

Parameters

  array |

Definition at line 421 of file ezrssimport.php.

Referenced by fieldMap().

## ◆ rssFieldDefinition()

static eZRSSImport::rssFieldDefinition | ( |  | $version = `'2.0'` | ) |
| static

Return default RSS field definition

Parameters

  RSS | version

Returns
  RSS field definition array.

Definition at line 341 of file ezrssimport.php.

Referenced by fieldMap().

## ◆ setImportDescription()

eZRSSImport::setImportDescription | ( |  | $definition = `array()` | ) |

Set import description

Import definition must be set as an multidimentional array.

Example : array( 'rss_version' => <version>, 'object_attributes' => array( ... ), 'class_attributes' => array( <content class attribute id> => <RSS import field>, ... ) )

Definition at line 448 of file ezrssimport.php.

References eZPersistentObject\setAttribute().

## ◆ store()

eZRSSImport::store | ( |  | $fieldFilters = `null` | ) |

Store Object to database

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Reimplemented from eZPersistentObject.

Definition at line 160 of file ezrssimport.php.

References eZUser\currentUser(), and eZPersistentObject\setAttribute().

## Member Data Documentation

## ◆ $DestinationNodeID

eZRSSImport::$DestinationNodeID

Definition at line 22 of file ezrssimport.php.

## ◆ $ModifierID

eZRSSImport::$ModifierID

Definition at line 21 of file ezrssimport.php.

## ◆ $ObjectOwnerID

eZRSSImport::$ObjectOwnerID

Definition at line 20 of file ezrssimport.php.

## ◆ STATUS_DRAFT

const eZRSSImport::STATUS_DRAFT = 0

Definition at line 24 of file ezrssimport.php.

## ◆ STATUS_VALID

const eZRSSImport::STATUS_VALID = 1

Definition at line 23 of file ezrssimport.php.

The documentation for this class was generated from the following file:

- ezrssimport.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.